Bug 1555 - [UPDATE REQUEST] espeak to 1.46
: [UPDATE REQUEST] espeak to 1.46
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 17:12 MSK by Denis Silakov
Modified: 2013-02-05 11:02 MSK (History)
3 users (show)

See Also:
RPM Package: espeak
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
dmitry.romashkin: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-01-31 17:12:04 MSK
We have espeak 1.43 released almost 3 years ago; the latest stable version is 1.46. In addition to improvements in speech engine itself, the latest release integrates autodetection of pulseaudio (which was added as a separaet patch in our previous versions; so now we can drop our own patch and just use upstream 'as is').

The next thing is that our espeak was built without additional data for Russian language (http://espeak.sourceforge.net/data/). It is not large (~2Mb), so we can include it in the main package.
Comment 1 Denis Silakov 2013-01-31 17:20:35 MSK
Advisory:

espeak updated to 1.46.02 which provides speech synthesis improvements and 'built-in' pulseaudio detection.

Build lists:
https://abf.rosalinux.ru/build_lists/940234
https://abf.rosalinux.ru/build_lists/940233
Comment 2 Denis Silakov 2013-02-01 11:57:07 MSK
Hm, wait a little, reporters in forum say that there is a mistake with new Russian dictionary...
Comment 3 Denis Silakov 2013-02-01 13:52:45 MSK
Advisory:

espeak updated to 1.46.02 which provides speech synthesis improvements and 'built-in' pulseaudio detection. Added improved Russian and Chinese dictionaries.

Build lists:
https://abf.rosalinux.ru/build_lists/940523
https://abf.rosalinux.ru/build_lists/940524
Comment 4 Alexander Petryakov 2013-02-04 01:39:13 MSK
espeak-1.46.02-3
************** Advisory **************
espeak updated to 1.46.02 which provides speech synthesis improvements and 'built-in' pulseaudio detection. Added improved Russian and Chinese dictionaries.
**************************************
QA Verified